# Combine(Program\[])

Method in [Program](https://docs.yarnspinner.dev/2.3/api/csharp/yarn/yarn.program)

## Summary

Creates a new Program by merging multiple Programs together.

```csharp
public static Program Combine(params Program[] programs)
```

## Remarks

The new program will contain every node from every input program.

## Parameters

| Name                                                                                       | Description                       |
| ------------------------------------------------------------------------------------------ | --------------------------------- |
| [Yarn.Program\[\]](https://docs.yarnspinner.dev/2.3/api/csharp/yarn/yarn.program) programs | The Programs to combine together. |

## Returns

The new, combined program.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn/yarn.program/yarn.program.combine.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
